%define api_version	2
%define lib_major	0
%define pkgname     libgnomeui
%define req_libbonoboui_version	2.1.1
%define req_libgnome_version	2.0.0
%define req_libgnomecanvas_version	2.0.0

Summary: Main GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.2.0.1
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 2.2.0.1-2mdk CVS fixes (fix Mdk bug 1331 and mem leak)
Patch0: libgnomeui-2.2.0.1-cvsfixes.patch.bz2
License: LGPL
Url: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libbonoboui2_0-devel >= %{req_libbonoboui_version}
BuildRequires: libgnome2_0-devel >= %{req_libgnome_version}
BuildRequires: libgnomecanvas2_0-devel >= %{req_libgnomecanvas_version}
BuildRequires: libglade2.0-devel
BuildRequires: pango-devel >= 1.1.2
BuildRequires: gtk-doc >= 0.9
BuildRequires: libjpeg-devel
Requires: libbonoboui2_0 >= %{req_libbonoboui_version}

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package -n %{name}_%{lib_major}
Summary:	GNOME libraries
Group:		%{group}

Requires:	%{name} >= %{version}

%description -n %{name}_%{lib_major}
GNOME libraries

%package -n %{name}_%{lib_major}-devel
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name}_%{lib_major} = %{version}
Requires:	%{name} = %{version}
Requires: libbonoboui2_0-devel >= %{req_libbonoboui_version}
Requires: libgnomecanvas2_0-devel >= %{req_libgnomecanvas_version}
Requires: libjpeg-devel

%description -n %{name}_%{lib_major}-devel
GNOME libraries


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .cvsfixes

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{pkgname}-2.0

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}_%{lib_major} -p /sbin/ldconfig
  
%postun -n %{name}_%{lib_major} -p /sbin/ldconfig


%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%{_libexecdir}/gnome_segv2
%{_libdir}/libglade/2.0/*.so
%{_datadir}/pixmaps/*

%files -n %{name}_%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}_%{lib_major}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-2mdk
- Patch0 (CVS): various CVS fixes (including for Mdk bug 1331)

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.0.0

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Recompiled against latest openssl

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Add libjpeg build dependency

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Thu Nov 21 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.2-2mdk
- BuildRequires: libglade2.0-devel

* Fri Nov 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5
- Remove patch0 (merged upstream)

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Patch0 (rawhide): Don't always ensure an esd connection is available 
  just because we can do so

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Fix ugly provides 

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Release 2.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-2mdk
- Recompiled against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-1mdk
- Release 1.117.2

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.117.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.1-1mdk
- Release 1.116.1

* Tue Apr 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-1mdk
- Release 1.115.0

* Fri Apr  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-2mdk
- Fix Requires of -devel package

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- First Mdk package

